%global pypi_name vllm

Name:          python-vllm
Version:       0.7.2
Release:       1%{?dist}
Summary:       A high-throughput and memory-efficient inference and serving engine for LLMs
License:       Apache-2.0
URL:           https://github.com/vllm-project/vllm
Source0:       %url/archive/%{version}.tar.gz#/%{pypi_name}-%{version}.tar.gz

# Same as arches for pytorch
ExclusiveArch: aarch64 x86_64
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-numpy
BuildRequires: kmod

%description
A high-throughput and memory-efficient inference and serving engine for LLMs

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
sed -i 's/"torch == 2.5.1"/"torch"/g' pyproject.toml
%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Mon Feb 17 2025 Peter Robinson <pbrobinson@fedoraproject.org> - 0.7.2-1
- Initial setup
